Tailwind support doesn't work in Blade or PHP files.

I'm trying to get Tailwind support working in Blade files. Currently it's only working in HTML and Sass files.

The project I'm currently working on includes a basic WordPress install and the Sage 10 Roots theme.

https://github.com/roots/sage

I've seen a closed ticket where someone had a similar issue and ultimately it was the Node.js and NPM settings that needed to be altered.

https://youtrack.jetbrains.com/issue/WEB-48619

I'm not quite sure how to do this, but when I bring up the settings the items shown seem to be more based on the packages installed globally.

Is there a way to point the IDE to my projects package.json file and have it pick up the correct information?

Here's my Node.js and NPM settings screen

Thanks for any help,

 

8 comments
Comment actions Permalink

it's a known issue, https://youtrack.jetbrains.com/issue/WEB-51764 is fixed in the upcoming 2021.2.2 update

0
Comment actions Permalink

Elena Pogorelova Thanks! Can't wait for the release. I've seen other people people''s Node.js and NPM screens filled with project related packages. Is there any reason mine wouldn't show those, or any negative effects to them not being listed?

0
Comment actions Permalink

No, I'm using yarn 1.22.5

0
Comment actions Permalink

Hmm... I can see both local and global packages when using it

Do you have your package.json located in the project root, or in a subfolder?

0
Comment actions Permalink

It's in a subfolder...

/wp-content/themes/site/package.json

0

Please sign in to leave a comment.